#include <iostream>
#include <string>
using namespace std;
int main()
{
    string start;
    cin>>start;
    int o=start.size();
    int bcor[2];
    bcor[1]=0;
    bcor[2]=0;
    for(int i=0; i<o; i++)
    {
        cout<<i;
        if(start[i]=='L')
        {
           bcor[1]=bcor[1]-1;
        }
        if(start[i]=='R')
        {
           bcor[1]=bcor[1]+1;
        }
        if(start[i]=='D')
        {
           bcor[2]=bcor[2]-1;
        }
        if(start[i]=='U')
        {
           bcor[2]=bcor[2]+1;
        }
        cout<<bcor[1]<<" "<<bcor[2]<<endl;
    }

    if(bcor[1]>0)
    {
        for(int i=0;i<bcor[1];i++)
        {
            cout<<"L";
        }
    }
    if(bcor[1]<0)
    {
        for(int i=0;i>bcor[1];i--)
        {
            cout<<"R";
        }
    }
    if(bcor[2]>0)
    {
        for(int i=0;i<bcor[2];i++)
        {
            cout<<"D";
        }
    }
    if(bcor[2]<0)
    {
        for(int i=0;i<bcor[2];i--)
        {
            cout<<"U";
        }
    }
    return 0;
}
